Subject: RFC 4427 errata

From: Alfred Hönes <[email-masked]>
Date: Sat, 12 Aug 2006 20:34:23 +0200 (MESZ)

Hello,
in the recently published RFC 4427 (GMPLS Recovery Terminology)
edited by you, I found a few textual flaws that perhaps should
be addressed by an RFC Errata Note.

I use change bars ('|' in column 1) to mark issues/changes.
Proposed (changed) text is re-adjusted to conform with RFC
formatting rules.

(1)  [missing article]

On page 16, in Section 5, the text for 'Phase 3: Failure Notification'
says:

   Failure notification phase is used 1) to inform intermediate nodes
   that LSP(s)/span(s) failure has occurred and has been detected and 2)
   to inform the recovery deciding entities (which can correspond to any
   intermediate or end-point of the failed LSP/span) that the
   corresponding LSP/span is not available.

It should say:

|  The failure notification phase is used 1) to inform intermediate
   nodes that LSP(s)/span(s) failure has occurred and has been detected
   and 2) to inform the recovery deciding entities (which can correspond
   to any intermediate or end-point of the failed LSP/span) that the
   corresponding LSP/span is not available.

(2)  [singular-->plural]

In Section 6.3, at the bottom of page 18, RFC 4427 says:

              [...].  At the egress node, the normal traffic is selected
|  from either its working or one of the protection LSP/span.

   Unprotected extra traffic can be transported over the M protection
|  LSP/span whenever the protection LSPs/spans is not used to carry a
   normal traffic.

It should say:

              [...].  At the egress node, the normal traffic is selected
|  from either its working or one of the protection LSPs/spans.

   Unprotected extra traffic can be transported over the M protection
|  LSPs/spans whenever the protection LSPs/spans is not used to carry a
   normal traffic.

(3)  [missing verb]

The first paragraph of Section 7.1, on page 19, says:

   [..]  Note that the restoration resources must be pre-computed, must
   be signaled, and may be selected a priori, but may not cross-
   connected.  Thus, the restoration LSP is not able to carry any
   extra-traffic.

It should say:

   [..]  Note that the restoration resources must be pre-computed, must
|  be signaled, and may be selected a priori, but may not be cross-
   connected.  Thus, the restoration LSP is not able to carry any
   extra-traffic.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+